#ifndef AUX_H
#define AUX_H

#include "main.h"
#include "error.h"
#include "tests.h"

int trim(char[]);                                                                                                                                            
long int power( int , int );                                                                                                                                 
long int unitconvert(char[], unittype);                                                                                                                      
long int unitconvert(long int, unittype);                                                                                                                    
unsigned int compute_quantum (unsigned int);   
char *awk(char[], unsigned int);                                                                                                                             
char *awk2(char[], unsigned int);
int dotobit(char[]);                                                                                                                                         
bool bitodot(char[], int);  
void iptohostname(char[MAX_NAME+1], char[]);                                                                                                                           
bool getip(char[], char[]);                                                                                                                                  
int split(char[], char[], char[]);                                                                                                                           
int gen_ipt_filter(char[], char[]);                                                                                                                          
int gen_ipt_filter(bool &, char[], char[]);                                                                                                                          
unsigned int read_fw_mark(char[]);
enum unittype getunit(char[]);                                                                                                                               
int fpv_section_i ( vector < char * >::iterator &, vector < char * >::iterator &, vector < char * > &, const char [] );
bool is_in_vector( vector < char * > &, const char [] );
void gen_fixed_tc_rateceil_buf (char [], unsigned int, unsigned int ); 

#endif
